#!/bin/bash
#
# started by Fred Bogus Trumper
# https://dreambox.de/board/index.php?thread/23313-dreamos-dm900-manchmal-kein-netzwerk-nach-einem-reboot/
#
# remake by MartiniB
#

# edit by your situation
#
DestDir=/media/hdd/log

# IP = Router IP, Goolge DNS etc.
#IP=10.0.10.254
IP=8.8.8.8

[ -d $DestDir ] || mkdir $DestDir
[ ! -d $DestDir ] && echo "aborting $0, directory $DestDir not found" && exit 1

getDate () {
	echo $(date +"%Y.%m.%d. %H:%M:%S") $(hostname)
}

echo -e "\n$(getDate) - starting $0">>$DestDir/networkwd.log
LOOPCOUNT=0

while true; do
	if ping -c 1 -w 1 $IP>/dev/null; then
		echo "$(getDate) - network watchdog: network connection ok">>$DestDir/networkwd.log
		/usr/script/_Save_systemd_journal.sh network_OK
		exit 0
	else
		echo "$(getDate) - network watchdog: network connection not ok! ping $IP failed">>$DestDir/networkwd.log
		if [ "$LOOPCOUNT" -gt 99 ]; then
			echo "$(getDate) - network watchdog: dump systemd journal">>$DestDir/networkwd.log
			#journalctl -x>$JournalDump
			/usr/script/_Save_systemd_journal.sh NO_network
			echo "$(getDate) - network watchdog: restart sockest.target and connman.service">>$DestDir/networkwd.log
			systemctl restart sockets.target
			sleep 1
			systemctl restart connman.service
			LOOPCOUNT=0
		fi
		sleep 1
		LOOPCOUNT=$(($LOOPCOUNT + 1))
	fi
done

exit 0
